//---------------------------------------------------------------------------
#ifndef PlanKlasseH
#define PlanKlasseH
#include "SqlKlasse.h"
#include "stack.h"
//---------------------------------------------------------------------------
class Plan
{
public:
	Plan(char Kilde_ = 'f') { Kilde = Kilde_; db = new SqlKlasse(Kilde); }
    bool HentListeOverPlaner(stack<string>& Stack);
    bool VaelgPlan(const string& PlanID, string& TimeFagFordelingsID, int& col, int& row);
private:
	SqlKlasse* db;
    string PlanID;
    char Kilde;
};
#endif
